<?php
namespace SmartGallery\Form;

use SmartGallery\Module;
use Laminas\Form\Element;
use Laminas\Form\Form;

class SmartGalleryBlockForm extends Form
{
	public function init()
	{

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][width]',
      'type' => Element\Text::class,
      'options' => [
          'label' => 'Individual image width (px)',
      ],
		]);

		$this->add([
		    'type' => Element\Checkbox::class,
		    'name' => 'o:block[__blockIndex__][o:data][renderSourceLink]',
		    'options' => [
		        'label' => 'Display a link to the item',
		        //'use_hidden_element' => true,
		        'checked_value' => true,
		        'unchecked_value' => false,
		    ],
		]);

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][title]',
			'type' => Element\Text::class,
      'options' => [
				'label' => 'Sub-title',
			]
		]);
	}
}
